import { Component } from '../lib/vues6/vues6.js'
import { action_service } from './service/Action.service.js';

const template = `
<div></div>
`

export default class InvokeActionComponent extends Component {
    static get selector() { return 'coreid-invoke-action' }
    static get template() { return template }
    static get props() { return ['action'] }

    async vue_on_create() {
        console.log('IAC', this)
        await action_service.perform(this.action)
    }
}
